libdancer-plugin-auth-extensible-perl_0.30-1_all.deb


Advertisement

Description

libdancer-plugin-auth-extensible-perl - module providing extensible authentication framework for Dancer apps

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdancer-plugin-auth-extensible-perl
Package version: 0.30
Package release: 1
Package architecture: all
Package type: deb
Installed size: 121 B
Download size: 32.77 KB
Official Mirror: ftp.br.debian.org
Dancer::Plugin::Auth::Extensible makes it easy to require a user to be logged in to access certain routes, provides role-based access control, and supports various authentication methods/sources (config file, database, Unix system users, etc).

    Download

    Source package: libdancer-plugin-auth-extensible-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdancer-plugin-auth-extensible-perl deb package:
      # sudo apt-get install libdancer-plugin-auth-extensible-perl

    Files

    • /usr/share/doc/libdancer-plugin-auth-extensible-perl/changelog.Debian.gz
    • /usr/share/doc/libdancer-plugin-auth-extensible-perl/changelog.gz
    • /usr/share/doc/libdancer-plugin-auth-extensible-perl/copyright
    • /usr/share/doc/libdancer-plugin-auth-extensible-perl/examples/authextest.pl
    • /usr/share/doc/libdancer-plugin-auth-extensible-perl/examples/config.yml
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible.3pm.gz
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible::Provider::Base.3pm.gz
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible::Provider::Config.3pm.gz
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible::Provider::Database.3pm.gz
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible::Provider::Example.3pm.gz
    • /usr/share/man/man3/Dancer::Plugin::Auth::Extensible::Provider::Unix.3pm.gz
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible.pm
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible/Provider/Base.pm
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible/Provider/Config.pm
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible/Provider/Database.pm
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible/Provider/Example.pm
    • /usr/share/perl5/Dancer/Plugin/Auth/Extensible/Provider/Unix.pm

    Changelog

    2013-09-22 - gregor herrmann <gregoa@debian.org> libdancer-plugin-auth-extensible-perl (0.30-1) unstable; urgency=low * Team upload. * New upstream release. * Drop patches, all merged upstream. * Update years of upstream copyright. * Update versioned (build) dependency on libdancer-perl.

    2013-09-21 - gregor herrmann <gregoa@debian.org> libdancer-plugin-auth-extensible-perl (0.20-2) unstable; urgency=low * Team upload. * Add patch to fix POD error. (Closes: #723927)

    2013-06-17 - Alexandre Mestiashvili <alex@biotec.tu-dresden.de> libdancer-plugin-auth-extensible-perl (0.20-1) unstable; urgency=low * Initial Release. Closes: #712561

    Advertisement
    Advertisement